Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Class PoolableNodeObjectFactory

    java.lang.Object
      org.apache.commons.pool.BaseKeyedPoolableObjectFactory
          org.exist.dom.PoolableNodeObjectFactory

All Implemented Interfaces:
  org.apache.commons.pool.KeyedPoolableObjectFactory

public class PoolableNodeObjectFactory
extends org.apache.commons.pool.BaseKeyedPoolableObjectFactory

Author:
  wolf

Constructor Summary
`PoolableNodeObjectFactory()`

Method Summary
`java.lang.Object` | `makeObject(java.lang.Object key)`

Methods inherited from class org.apache.commons.pool.BaseKeyedPoolableObjectFactory
`activateObject, destroyObject, passivateObject, validateObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoolableNodeObjectFactory

    public PoolableNodeObjectFactory()

Method Detail

### makeObject

    public java.lang.Object makeObject(java.lang.Object key)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.